CMSIS-NN: arm_nnexamples_gru_test_data.h File Reference

| CMSIS-NN Version 1.3.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Enumerations Enumerator Macros Groups Pages
Macros
arm_nnexamples_gru_test_data.h File Reference

## Macros

#define | UPDATE_GATE_WEIGHT_X2
#define | UPDATE_GATE_WEIGHT_X4
#define | RESET_GATE_WEIGHT_X2
#define | RESET_GATE_WEIGHT_X4
#define | HIDDEN_STATE_WEIGHT_X2
#define | HIDDEN_STATE_WEIGHT_X4
#define | UPDATE_GATE_BIAS
#define | RESET_GATE_BIAS
#define | HIDDEN_STATE_BIAS
#define | INPUT_DATA1
#define | INPUT_DATA2
#define | HISTORY_DATA

## Macro Definition Documentation

#define HIDDEN_STATE_BIAS

#define HIDDEN_STATE_WEIGHT_X2

#define HIDDEN_STATE_WEIGHT_X4

#define HISTORY_DATA

#define INPUT_DATA1

#define INPUT_DATA2

#define RESET_GATE_BIAS

#define RESET_GATE_WEIGHT_X2

#define RESET_GATE_WEIGHT_X4

#define UPDATE_GATE_BIAS

#define UPDATE_GATE_WEIGHT_X2

#define UPDATE_GATE_WEIGHT_X4